Bug 1023077 - hammer: help text for 'domain create' does not line up correctly.
hammer: help text for 'domain create' does not line up correctly.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Tomas Strachota
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 10:55 EDT by Corey Welton
Modified: 2016-04-22 12:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: rubygem-hammer_cli-0.0.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 08:25:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 3517 None None None 2016-04-22 12:36 EDT

  None (edit)
Description Corey Welton 2013-10-24 10:55:14 EDT
Description of problem:
When user runs --help for 'hammer domain create', some of the help text does not appear on the correct line

Version-Release number of selected component (if applicable):
rubygem-hammer_cli_foreman-0.0.8-2.el6sat.noarch


How reproducible:


Steps to Reproduce:
1. hammer -u admin -p admin domain create --help
2. View results.

Actual results:
Usage:
    hammer domain create [OPTIONS]

Options:
    --name NAME                   
                                  The full DNS Domain name
    --fullname FULLNAME           
                                  Full name describing the domain
    --dns-id DNS_ID               
                                  DNS Proxy to use within this domain
    -h, --help                    print help



Expected results:
Usage:
    hammer domain create [OPTIONS]

Options:
    --name NAME                   The full DNS Domain name
    --fullname FULLNAME           Full name describing the domain
    --dns-id DNS_ID               DNS Proxy to use within this domain                                  
    -h, --help                    print help


Additional info:
Comment 2 Tomas Strachota 2013-11-12 04:24:44 EST
Fixed in hammer-cli 0.0.9

commit e365992846ef6609e86713982dd31b89bd099992
Author: Tomas Strachota <tstrachota@redhat.com>
Date:   Tue Sep 10 09:46:44 2013 +0200

    option formatters turned into objects
Comment 6 Bryan Kearney 2014-09-11 08:25:58 EDT
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Note You need to log in before you can comment on or make changes to this bug.